Subject: Avoid Buffering of Shell output
Description
Currently Shell output is buffered in TYPO3\Flow\Cli\Response->appendContent(), this does not make sense IMHO, especially for
long lasting operations.
    -  this can be misinterpreted as a hanging / slow program
    -  this can cause exceeding memory limits
    -  users don't understand it.

Therefore i suggest to output the CLI output directly!

I made it working with AOP, afterwards you may need some additional cleaning in the other CLI\Response methods, which are
useless after the patch ;)

History
#1 - 2014-01-21 06:51 - Kay Strobach

The gist URI :) https://gist.github.com/kaystrobach/7500128

#2 - 2014-01-21 09:54 - Bastian Waidelich
- PHP Version deleted (5.4)

Good point. But instead of changing the behavior, I'd suggest to add a flag to the output* methods that forces direct rendering (for backwards
compatibility reasons).
BTW: Instead of using AOP you could also override these methods in your package: https://gist.github.com/bwaidelich/8536527

#3 - 2014-03-20 14:12 - Kay Strobach

imho changing the behaviour at this point it best, eventually we can just make an UnbufferedCommandController which can be used as a base for
extending

#4 - 2014-03-20 14:31 - Bastian Waidelich

Kay Strobach wrote:

imho changing the behaviour at this point it best

Maybe you're right.. I can't remember why we decided to buffer the output. Lets see what others think

2015-08-04 1/2

https://gist.github.com/kaystrobach/7500128
https://gist.github.com/bwaidelich/8536527


#5 - 2014-03-20 19:57 - Kay Strobach

having that changed we can use more advanced symfony/console features :D

#6 - 2014-03-31 12:32 - Dominique Feyer

+1 remove buffer ;)

Look like it can break the formatted output, with Bastian's gist.

#7 - 2014-03-31 12:34 - Kay Strobach

mine (with the aop stuff) is working in production since 8 weeks now
